//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Rikai.PRISM.WPF
{
    using System;
    using System.Collections.Generic;
    
    public partial class datMenuInfo
    {
        public string MenuId { get; set; }
        public string MenuName { get; set; }
        public Nullable<byte> AuthorityRank_A { get; set; }
        public Nullable<byte> AuthorityRank_B { get; set; }
        public Nullable<byte> AuthorityRank_C { get; set; }
        public Nullable<byte> AuthorityRank_D { get; set; }
        public Nullable<byte> AuthorityRank_E { get; set; }
        public Nullable<byte> AuthorityRank_F { get; set; }
        public Nullable<byte> AuthorityRank_G { get; set; }
        public Nullable<byte> AuthorityRank_H { get; set; }
        public Nullable<byte> AuthorityRank_I { get; set; }
        public Nullable<byte> AuthorityRank_J { get; set; }
        public Nullable<byte> AuthorityRank_K { get; set; }
        public Nullable<byte> AuthorityRank_L { get; set; }
        public Nullable<byte> AuthorityRank_M { get; set; }
        public Nullable<byte> AuthorityRank_N { get; set; }
        public Nullable<byte> AuthorityRank_O { get; set; }
        public Nullable<byte> AuthorityRank_P { get; set; }
        public Nullable<byte> AuthorityRank_Q { get; set; }
        public Nullable<byte> AuthorityRank_R { get; set; }
        public Nullable<byte> AuthorityRank_S { get; set; }
        public Nullable<byte> AuthorityRank_T { get; set; }
        public Nullable<System.DateTime> UpdStampDate { get; set; }
        public string UpdStampId { get; set; }
        public Nullable<System.DateTime> InsStampDate { get; set; }
        public string InsStampId { get; set; }
    }
}
